<?php
/**
 * MediaCenter WooCommerce Class
 */

if ( ! defined( 'ABSPATH' ) ) {
	exit;
}

if ( ! class_exists( 'MediaCenter_WooCommerce' ) ) {
	/**
	 * The MediaCenter WooCommerce Integration class
	 */
	class MediaCenter_WooCommerce {

		/**
		 * Setup Class
		 */
		public function __construct() {
			add_filter( 'woocommerce_product_thumbnails_columns', array( $this, 'thumbnail_columns' ) );
		}

		/**
		 * Product gallery thumbnail columns
		 *
		 * @return integer number of columns
		 */
		public function thumbnail_columns() {
			$columns = 6;

			return intval( apply_filters( 'mediacenter_product_thumbnail_columns', $columns ) );
		}
	}
}

return new MediaCenter_WooCommerce();